[ubuntu-ar] Cómo correr algo para KDE en GNOME?

Gabriel Patiño gepatino at gmail.com
Mon May 5 02:08:48 BST 2008


El día 4 de mayo de 2008 21:34, Alan Karpovsky <karpoa en gmail.com> escribió:

> Gente sabia, la custión es así:
>
> Necesito correr este prorama: http://www.a-rostin.de/klogic/
> en mi Ubuntu con Gnome.
> Descargué el "KLogic 1.63 for KDE 3.1 (1182KB)", lo descomprimí pero al
> hacer el ./configure después de hacer todo en la última línea me tira el
> siguiente error:
>
> checking for X... configure: error: Can't find X includes. Please check
> > your installation and add the correct paths!
>
>
> No entiendo mucho de Linux pero debe ser porque estoy intentando de
> instalar algo para KDE en Gnome, la pregunta es ..
> cómo hago para correrlo en mi Hardy ?
>


Comenzaste por el lado dificil. Lo que estas tratando de hacer es compilar
el programa, para lo cual necesitas las cabeceras de los fuentes de X (el
servidor grafico).

En el caso de este programa en particular, la instalacion es mucho mas
simple en Ubuntu. Simplemente abri el synaptic y busca klogic. Le haces
doble click a la fila del programa, presionas el boton aplicar, y listo. Se
instala solo con todas las librerias de las que dependa.


>
> En la misma web aparecen otras descargas del programa como los binarios
> para SuSe y los códigos fuentes para Red Hat.
>
> En síntesis la pregunta sería, por qué los programas son creados para una
> distro en particular ? Qué tipo de archivos son los que se pueden correr en
> cualquier sistema con Linux (sea cual fuere su distribución)?
>

Los programas se empaquetan en diferentes formatos segun la distro porque no
todas las distros usan el mismo sistema de paquetes. Debian y sus derivados
(entre ellos Ubuntu) usan apt, RedHat, SuSE y sus derivados, RPM, etc.

Dada esta y otras diferencias, el unico tipo de paquetes que se puede usar
facilmente en todas las distros son los de codigo fuente, si sabes como
compilarlo, pero esto no es lo mas recomendable para alguien que esta
empezando en Linux, ya que a veces puede ser un poco frustrante no entender
porque fallan las cosas. Como te pasa ahora :)

Siempre que tengas que instalar algo, primero buscalo en el synaptic. Si no
lo encontras, busca en la pagina del programa si hay un archivo con
extension deb. Si tampoco existe, pero hay uno con extension rpm, busca algo
de informacion sobre un programa llamado alien, que permite instalar
paquetes rpm en sistemas debian. Si no hay nada de esto... vas a tener que
compilarlo desde los fuentes.

Saludos,
-- 
Gabriel E. Patiño
------------ próxima parte ------------
Se ha borrado un adjunto en formato HTML...
URL: https://lists.ubuntu.com/archives/ubuntu-ar/attachments/20080504/ae4eb4c1/attachment.htm 


More information about the Ubuntu-ar mailing list